import logging
from pydbus import SystemBus
from gi.repository.GLib import GError

logger = logging.getLogger(__name__)


def signal_send(recipient, message):
    try:
        bus = SystemBus()
        signal_bus = bus.get("org.asamk.Signal")
        signal_bus.sendMessage(
            message,
            [],
            [recipient],
        )
    except GError as exn:
        logger.error("Cannot send Signal notification: %s", exn)
